Bug 240391 - deskutils/sysctlview: Update to 1.5.1
Summary: deskutils/sysctlview: Update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on: 240390
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-07 15:09 UTC by Alfonso S. Siciliano
Modified: 2019-09-24 17:54 UTC (History)
2 users (show)

See Also:


Attachments
svn .diff (1.50 KB, patch)
2019-09-07 15:09 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff
new svn .diff for 1.5.1 (1.51 KB, patch)
2019-09-12 03:35 UTC, Alfonso S. Siciliano
alfix86: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alfonso S. Siciliano 2019-09-07 15:09:17 UTC
Created attachment 207260 [details]
svn .diff

Version Update 1.4 -> 1.5, 

The port has a new DEP: bug #240390

Using sysctlinfo sysctlview can:

 * show nodes up to CTL_MAXNAME (24) levels
 * show the right value of the nodes without the last name
 * show a subtree without leaves (the nodes are all CTLTYPE_NODE)
 * sysctlinfo is 30% more efficient than the kernel undocumented interface

Testing:

 * portlint -C
 * poudriere testport -j 130Camd64 -p default -o deskutils/sysctlview


Please commit it,

Thanks,
Alfonso
Comment 1 Koichiro Iwao freebsd_committer 2019-09-09 01:16:48 UTC
Please always be sure to add dependencies.
Comment 2 Koichiro Iwao freebsd_committer 2019-09-09 01:17:13 UTC
using bugzilla feature. Not in text.
Comment 3 Alfonso S. Siciliano 2019-09-12 03:35:56 UTC
Created attachment 207404 [details]
new svn .diff for 1.5.1

Update the diff for the version 1.5.1 (just a simple upstream fix)
Comment 4 commit-hook freebsd_committer 2019-09-24 17:34:45 UTC
A commit references this bug:

Author: kai
Date: Tue Sep 24 17:33:51 UTC 2019
New revision: 512729
URL: https://svnweb.freebsd.org/changeset/ports/512729

Log:
  deskutils/sysctlview: Update to 1.5.1

  * The sysctlinfo interface (sysutils/sysctlinfo-kmod) is now required as
    build/run dependency which relies on the "oid_label" constant that was
    introduced in FreeBSD 1200019.

    Thus set the port to IGNORE if the above doesn't apply while I'm here. [1]

  Changelog:

  * Show nodes up to CTL_MAXNAME (24) levels
  * Show the right value of the nodes without the last name
  * Show a subtree without leaves (the nodes are all CTLTYPE_NODE)
  * The sysctlinfo interface is 30% more efficient than the kernel
    undocumented interface [1]

  PR:		240391
  Submitted by:	Alfonso S. Siciliano <alfix86@gmail.com> (maintainer)

Changes:
  head/deskutils/sysctlview/Makefile
  head/deskutils/sysctlview/distinfo
Comment 5 Kai Knoblich freebsd_committer 2019-09-24 17:54:12 UTC
Committed, thank you for the patch!

I did some minor fixes (sorting order of the *_DEPENDS variables) and added if-statements like in bug 240390 to avoid the build on FreeBSD 11.

The build will be skipped nevertheless because sysutils/sysctlinfo-kmod is already set as IGNORE on FreeBSD 11. It's just an extra measure to explicitly avoid building the port on older releases.